/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import type { JSX } from "react";

/**
 * Renders the /manifesto page.
 * @returns A React Component.
 */
const Manifesto = (): JSX.Element => {
  return (
    <main className="w-4/5 text-center max-w-4xl m-auto mt-16 mb-16 rounded-lg">
      <h1 className="text-3xl">{`The Lion, The Witch, The Audacity of This Bitch`}</h1>
      <p className="text-2xl italic">{`Naomi's Transfemme Manifesto`}</p>
      <p>
        {`In a world of binaries and boundaries, we emerge - glorious, glistening,
        and unapologetically ourselves. We are the lionesses who refused to be
        tamed, the witches who brew potions of self-love, and the audacious
        beings who dared to rewrite the rules of gender. This is our manifesto,
        our spell-book, our battle cry.`}
      </p>

      <h2 className="text-2xl">{`I. We Are the Lions`}</h2>
      <ol>
        <li>
          {`Our manes are diverse: short, long, neon, natural - each strand a
          testament to our journey.`}
        </li>
        <li>
          {`We prowl through life with grace, strength, and an occasional stumble
          (because even lionesses trip sometimes, darling).`}
        </li>
        <li>
          {`Our roars echo through boardrooms, classrooms, and everywhere we have
          been told to stay silent.`}
        </li>
        <li>
          {`We fiercely protect our pride - our chosen family, our allies, our
          community.`}
        </li>
        <li>
          {`Like lions, we bask in the sun of our authenticity, soaking up the
          warmth of self-acceptance.`}
        </li>
      </ol>

      <h2 className="text-2xl">{`II. We Are the Witches`}</h2>
      <ol>
        <li>
          {`Our spellbook is filled with incantations of self-affirmation and
          hexes against transphobia.`}
        </li>
        <li>
          {`We stir cauldrons of change, mixing potions of progress and elixirs of
          equality.`}
        </li>
        <li>
          {`Our wands (be they makeup brushes, pens, or literal wands) cast spells
          of transformation.`}
        </li>
        <li>
          {`We commune with the spirits of our trans ancestors, drawing strength
          from their legacy.`}
        </li>
        <li>
          {`In our coven, every body is sacred, every identity valid, every
          expression magical.`}
        </li>
      </ol>

      <h2 className="text-2xl">{`III. We Have the Audacity`}</h2>
      <ol>
        <li>
          {`We have the audacity to exist loudly in a world that wishes us to be
          quiet.`}
        </li>
        <li>
          {`We dare to love our bodies, curves, edges, and all, defying those who
          say we should not.`}
        </li>
        <li>
          {`We boldly claim our place in women's spaces, sports, and
          narratives.`}
        </li>
        <li>
          {`We redefine beauty standards with every strut, sashay, and hair flip.`}
        </li>
        <li>
          {`We have the gall to demand respect, rights, and recognition - and
          honey, we look fabulous doing it.`}
        </li>
      </ol>

      <h2 className="text-2xl">{`IV. Our Decrees`}</h2>
      <ol>
        <li>
          {`We decree that gender is a playground, not a prison. Swing on the
          monkey bars of masculinity, slide down the curves of femininity, or
          build sandcastles of androgyny.`}
        </li>
        <li>
          {`We proclaim that our bodies are our own, to modify or maintain as we
          see fit. Your opinion on our transitions is like our facial hair -
          unwanted and about to be removed.`}
        </li>
        <li>
          {`We declare our right to safe spaces, medical care, and public
          restrooms without fear or judgment.`}
        </li>
        <li>
          {`We assert our humanity in the face of legislation that tries to erase
          us. Our existence is not up for debate.`}
        </li>
        <li>
          {`We affirm our right to joy, love, and celebration. Our lives are not
          just about struggle - we're here to thrive, baby!`}
        </li>
      </ol>

      <h2 className="text-2xl">{`V. Our Commitments`}</h2>
      <ol>
        <li>
          {`We vow to lift as we climb, ensuring no trans sibling is left behind.`}
        </li>
        <li>
          {`We pledge to celebrate the diversity within our community - every
          shade, shape, and expression of transness.`}
        </li>
        <li>
          {`We promise to continue educating, even when it's exhausting, because
          knowledge is the enemy of ignorance.`}
        </li>
        <li>
          {`We commit to loving ourselves fiercely, even on days when the world
          makes it hard.`}
        </li>
        <li>
          {`We dedicate ourselves to creating art, music, literature, and memes
          that tell our stories and make our voices heard.`}
        </li>
      </ol>

      <h2 className="text-2xl">{`VI. The Transfemme Toolbox`}</h2>
      <ol>
        <li>{`Eyeliner sharp enough to wing and to slay our enemies.`}</li>
        <li>
          {`A vocabulary expansive enough to articulate our identities and to
          eloquently tell transphobes where to go.`}
        </li>
        <li>
          {`Heels high enough to reach new heights (and flats comfortable enough
          for when the revolution requires running).`}
        </li>
        <li>
          {`A chosen name that feels like home and a dead name composted for
          future growth.`}
        </li>
        <li>
          {`A support network of fellow lions, witches, and audacious bitches to
          remind us we're not alone.`}
        </li>
      </ol>

      <h2 className="text-2xl">{`VII. Our Vision of the Future`}</h2>
      <p>{`In our ideal world:`}</p>
      <ol>
        <li>
          {`Gender reveal parties are replaced by "I'll reveal my gender when I'm
          good and ready" parties.`}
        </li>
        <li>
          {`The only time we're asked about our genitals is by our doctors or
          consensual partners.`}
        </li>
        <li>{`Trans joy is as commonplace as cis assumptions once were.`}</li>
        <li>
          {`Our stories are told by us, not about us, in media, literature, and
          history books.`}
        </li>
        <li>
          {`The audacity of our existence is celebrated, not merely tolerated.`}
        </li>
      </ol>

      <h2 className="text-2xl">{`The Tea is Served`}</h2>
      <p>
        {`So here we stand, in all our lionhearted, witchy, audacious glory. We've
        stirred the pot, we've cast our spells, we've roared our truths. The
        teacup of tradition lays shattered at our feet, and darling, the brew
        we're serving now is a potent blend of authenticity, resistance, and
        fierce, uncompromising love.`}
      </p>

      <p>
        {`To those who support us: we see you, we appreciate you, we invite you to
        roar alongside us. To those who don't understand us: we invite you to
        listen, to learn, and to expand your world. To those who oppose us: your
        time is up, your reign is over, the future is gloriously,
        unapologetically trans.`}
      </p>

      <p>
        {`Remember, we didn't come this far, break this many barriers, and perfect
        our contouring skills just to be anything less than the majestic,
        magical, audacious bitches we are.`}
      </p>

      <p className="text-2xl">
        {`The lion has spoken. The witch has cast her spell. This bitch is here to
        stay.`}
      </p>

      <p className="text-3xl">
        {`Long live the transfemme revolution! 🦁✨👑💄🏳️‍⚧️`}
      </p>
    </main>
  );
};

export default Manifesto;
