/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

/**
 * List of art to render.
 */
export const Art: Array<{
  name:   string;
  img:    string;
  artist: string;
  url:    string;
  alt:    string;
}> = [
  {
    alt:    "Pixel art portrait of a person with medium-length brown hair, purple glasses, and a blue top against a pink and blue striped background. A blue star-shaped hair clip adorns their hair.",
    artist: "Jazzybee",
    img:    "profile.png",
    name:   "Avatar",
    url:    "https://jazzybee.itch.io/sdvcharactercreator",
  },
  {
    alt:    "Anime-style illustration of a character wearing a large brown witch hat decorated with roses and hanging charms against a cloudy background.",
    artist: "Picrew",
    img:    "ai-bot.png",
    name:   "AI Bot",
    url:    "https://picrew.me/en/image_maker/1382748",
  },
  {
    alt:    "Anime-style portrait of a character with short burgundy hair and glasses, wearing a black blazer over a light blue shirt with a choker, against a pale blue patterned background.",
    artist: "Picrew",
    img:    "mod-bot.png",
    name:   "Mod Bot",
    url:    "https://picrew.me/en/image_maker/27700",
  },
  {
    alt:    "Anime-style portrait of a character with wavy brown hair, glasses, and a black lacy top, winking and smiling",
    artist: "Picrew",
    img:    "translation-bot.png",
    name:   "Translation Bot",
    url:    "https://picrew.me/en/image_maker/3595",
  },
  {
    alt:    "Anime-style character with brown hair and glasses wearing a teal hat and shirt with a heart design, smiling excitedly",
    artist: "Picrew",
    img:    "task-bot.png",
    name:   "Task Bot",
    url:    "https://picrew.me/en/image_maker/700620",
  },
  {
    alt:    "Anime-style portrait of a character with glasses and wavy hair, wearing an off-shoulder pink top with a heart pendant necklace, against a bright pink circular background.",
    artist: "Picrew",
    img:    "boost-bot.png",
    name:   "Boost Monitor Bot",
    url:    "https://picrew.me/en/image_maker/1310292",
  },
  {
    alt:    "Anime-style portrait of a character with blonde and black hair, blushing cheeks, and teary blue eyes, smiling against a turquoise background.",
    artist: "Picrew",
    img:    "bridge.png",
    name:   "Social Media Bridge",
    url:    "https://picrew.me/en/image_maker/21208",
  },
  {
    alt:    "Gothic anime-style portrait of a character with purple eyeshadow, spider hair clip, and choker necklace in a forest setting",
    artist: "Picrew",
    img:    "trick-or-treat.png",
    name:   "Trick or Treat",
    url:    "https://picrew.me/en/image_maker/1712061",
  },
  {
    alt:    "Cartoon character in a blue winter outfit with a pointed hat, holding a bloody sack, against a pink snowflake background",
    artist: "Picrew",
    img:    "padoru.png",
    name:   "Padoru",
    url:    "https://picrew.me/en/image_maker/1843743",
  },
  {
    alt:    "Cartoon portrait of a character with brown hair and glasses, smiling against a transgender flag heart background",
    artist: "Picrew",
    img:    "trans.png",
    name:   "Trans Pride",
    url:    "https://picrew.me/en/image_maker/100365/",
  },
  {
    alt:    "Anime-style portrait of a character with headphones and glasses, wearing a choker and holding a drink, against a pink pixelated background. Text 'xoxo 4Dear' visible.",
    artist: "Picrew",
    img:    "alt-text.png",
    name:   "Alt-text Generator",
    url:    "https://picrew.me/en/image_maker/2003689/",
  },
  {
    alt:    "Anime-style illustration of a character with brown hair and large blue eyes, sipping a drink through a straw with a shush expression, wearing a blue sweater against a pink background.",
    artist: "Picrew",
    img:    "anon.png",
    name:   "Anon Bot",
    url:    "https://picrew.me/en/image_maker/2307052/",
  },
  {
    alt:    "Anime-style illustration of a character with brown hair and glasses, making cat claw shapes with her hands. She wears a black outfit with white bows, surrounded by heart symbols on a turquoise background.",
    artist: "Picrew",
    img:    "eval.png",
    name:   "Code Evaluator",
    url:    "https://picrew.me/en/image_maker/1787745/",
  },
  {
    alt:    "Anime-style portrait of a character with wavy brown hair and glasses, looking thoughtful against a background of pink cherry blossoms. She wears an off-shoulder dark top, and has a lit cigarette in her hand.",
    artist: "Picrew",
    img:    "librarian.png",
    name:   "Librarian Bot",
    url:    "https://picrew.me/en/image_maker/2435029",
  },
  {
    alt:    "An anime-style illustration of a character with shoulder-length wavy brown hair, blue eyes behind black-rimmed glasses, wearing a beige cardigan over a white top with a black choker. They are holding a blue book and pen, with a question mark speech bubble above their head. The background is pastel purple with decorative white sparkles and chain patterns.",
    artist: "Picrew",
    img:    "tickets.png",
    name:   "Ticket System",
    url:    "https://picrew.me/en/image_maker/625876",
  },
  {
    alt:    "Anime-style portrait of a character with brown hair and blue eyes, wearking a pink top with a mesh chest, against a pink background.",
    artist: "Picrew",
    img:    "logs.png",
    name:   "Mod Logs",
    url:    " https://picrew.me/en/image_maker/2539784",
  },
];
