/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

/**
 * List of screenshots from games to render.
 */
export const Games: Array<{
  name: string;
  img:  string;
  url:  string;
  alt:  string;
}> = [
  {
    alt:  "A fantasy character in a pink outfit and tiara stands barefoot on rocky ground in a rainy, dark setting. She holds a weapon and is surrounded by puddles and a shadowy landscape with hints of ancient architecture.",
    img:  "bloody-spell.jpg",
    name: "Bloody Spell",
    url:  "https://store.steampowered.com/app/992300/_Bloody_Spell/",
  },
  {
    alt:  "Animated character in a purple traditional Chinese robe wielding a large sword in a wooden temple-like structure with ornate pillars and lanterns.",
    img:  "dw-9.jpg",
    name: "Dynasty Warriors 9: Empires",
    url:  "https://store.steampowered.com/app/1341200/DYNASTY_WARRIORS_9_Empires/",
  },
  {
    alt:  "A stylized female character in a video game or 3D rendering, wearing a white top and long red skirt, holding a sword and striking a dramatic pose with one arm raised. She stands on a stone platform with mountains in the background.",
    img:  "soul-calibur.jpg",
    name: "Soul Calibur VI",
    url:  "https://store.steampowered.com/app/544750/SOULCALIBUR_VI/",
  },
  {
    alt:  "A virtual character in a red dress sits on a throne in a futuristic corridor. The character has short hair and is barefoot. Above the character is the text 'Avalon'. The scene appears to be from a video game or digital simulation, with a dark, metallic environment surrounding the central figure.",
    img:  "swtor.jpg",
    name: "Star Wars: The Old Republic",
    url:  "https://store.steampowered.com/app/1286830/STAR_WARS_The_Old_Republic/",
  },
  {
    alt:  "Anime-style illustration of a young woman in a dark floral kimono standing in a lush green field. Behind her, a vibrant galaxy-like spiral shimmers in the sky. Yellow flowers bloom in the foreground, and glowing particles float around her. The scene has a magical, ethereal quality.",
    img:  "idling-god.png",
    name: "Idling to Rule the Gods",
    url:  "https://store.steampowered.com/app/466170/Idling_to_Rule_the_Gods/",
  },
  {
    alt:  "A female video game character stands on a wooden bridge in a Japanese-style garden. She wears samurai-like armor and holds a long bow. The character has long dark hair and glasses. The scene is rendered in a soft, slightly blurred style with pink cherry blossom trees in the background.",
    img:  "nioh-2.jpg",
    name: "Nioh 2",
    url:  "https://store.steampowered.com/app/1325200/Nioh_2__The_Complete_Edition/",
  },
  {
    alt:  "3D rendering of a figure wearing a Japanese-style school uniform with a white top, pink sailor collar, and purple pleated skirt, standing against a dark background. The figure has short brown hair and is shown in a full-body pose.",
    img:  "deathly-stillness.jpg",
    name: "Deathly Stillness",
    url:  "https://store.steampowered.com/app/1727650/Deathly_Stillness/",
  },
  {
    alt:  "A 3D rendered character in a futuristic or sci-fi style outfit. The figure is wearing a light-colored bodysuit with straps and mechanical details, holding a large gun. The character has blonde hair and stands against a dark background in a ready pose.",
    img:  "once-human.jpg",
    name: "Once Human",
    url:  "https://store.steampowered.com/app/2139460/Once_Human/",
  },
  {
    alt:  "A woman in post-apocalyptic armor stands in a desolate urban landscape. She wears sunglasses, leather armor pieces, and holds a weapon. The background shows damaged buildings and debris in a hazy, dusty environment.",
    img:  "fallout-4.jpg",
    name: "Fallout 4",
    url:  "https://store.steampowered.com/app/377160/Fallout_4/",
  },
  {
    alt:  "Fantasy video game character in a revealing purple and gold outfit with a crown, standing in a lush mountainous landscape with floating islands and waterfalls. Character selection interface visible at the bottom of the image.",
    img:  "gw2.png",
    name: "Guild Wars 2",
    url:  "https://store.steampowered.com/app/1284210/Guild_Wars_2/",
  },
  {
    alt:  "A 3D rendered scene of a medieval-style courtyard at night. A woman in a long teal dress stands in the center of a cobblestone path. Wooden archways and stone walls with lit lanterns frame the path, creating a moody atmosphere.",
    img:  "nwn.jpg",
    name: "Neverwinter Nights",
    url:  "https://store.steampowered.com/app/704450/Neverwinter_Nights_Enhanced_Edition/",
  },
  {
    alt:  "A female video game character in medieval-style clothing stands in a rugged stone environment. She wears a tattered brown tunic, leather armor, and leg wraps. Her pose is fierce and ready for action, with dark hair framing her face. The background shows rocky terrain and ancient stone walls.",
    img:  "lords-of-the-fallen.jpg",
    name: "Lords of the Fallen",
    url:  "https://store.steampowered.com/app/1501750/Lords_of_the_Fallen/",
  },
  {
    alt:  "Anime-style character in a futuristic black outfit with glowing blue accents standing in a forest setting. The character has short brown hair and large eyes, wearing a long coat with high slits revealing thigh-high boots.",
    img:  "vroid.png",
    name: "VRoid",
    url:  "https://store.steampowered.com/app/1486350/VRoid_Studio_v1294/",
  },
  {
    alt:  "Anime-style illustration of a girl lying on her back, holding a smartphone above her face. She's surrounded by various objects including a pink rabbit toy, headphones, candies, a game controller, and a potted plant. The scene depicts a cluttered, colorful bedroom or living space.",
    img:  "koikatsu.png",
    name: "Koikatsu",
    url:  "https://store.steampowered.com/app/1073440/__Koikatsu_Party/",
  },
  {
    alt:  "A female video game character stands in a dark, wooden structure. She has short hair and wears rustic clothing. The scene includes a health and magic bar in the top left corner and a minimap in the top right. The environment is dimly lit with some grass on the ground.",
    img:  "amalur.jpg",
    name: "Kingdoms of Amalur",
    url:  "https://store.steampowered.com/app/1041720/Kingdoms_of_Amalur_ReReckoning/",
  },
  {
    alt:  "A 3D-rendered character in a futuristic setting, wearing a form-fitting white and black bodysuit with a red insignia on the chest. The character has short brown hair and glasses, standing confidently in an urban environment with other figures visible in the background.",
    img:  "encased.jpg",
    name: "Encased",
    url:  "https://store.steampowered.com/app/921800/Encased_A_SciFi_PostApocalyptic_RPG/",
  },
  {
    alt:  "A blonde woman in a black Gothic-style outfit stands in a dimly lit room with large windows. She wears glasses, a corset-like top, fishnet stockings, and lace gloves. The room has a patterned carpet and appears to be in an old building.",
    img:  "demonologist.jpg",
    name: "Demonologist",
    url:  "https://store.steampowered.com/app/1929610/Demonologist/",
  },
  {
    alt:  "A 3D rendered female video game character model wearing a shiny green outfit consisting of a sleeveless top and short skirt with thigh straps. The character has long brown hair and is standing in a neutral pose with a dark cape draped behind her.",
    img:  "mka.png",
    name: "Mortal Kombat: Armageddon",
    url:  "https://en.wikipedia.org/wiki/Mortal_Kombat:_Armageddon",
  },
  {
    alt:  "A 3D video game character model of a woman with short dark hair wearing a teal green dress with purple accents. The dress has a laced front, thigh-high slit, and is paired with purple arm bands. The character stands in a combat-ready pose within an ornate frame against a dark background. The name 'NAOMI' is displayed beneath the character.",
    img:  "sc3.png",
    name: "Soul Calibur III",
    url:  "https://en.wikipedia.org/wiki/Soulcalibur_III",
  },
  {
    alt:  "A 3D rendered character with elven features, glowing cyan eyes, and brown hair. The figure wears a blue and gray outfit consisting of a long coat, fitted pants, and a metallic necklace. The character is depicted in a dark, moody setting.",
    img:  "v-rising.jpg",
    name: "V Rising",
    url:  "https://store.steampowered.com/app/1604030/V_Rising/",
  },
  {
    alt:  "Digital illustration of a female character in a flowing teal dress standing on a hillside overlooking a fantasy landscape with distant buildings and fields.",
    img:  "aow-3.jpg",
    name: "Age of Wonders 3",
    url:  "https://store.steampowered.com/app/226840/Age_of_Wonders_III/",
  },
  {
    alt:  "Digital illustration of a character in a white and pink dress with bell sleeves and a crown, walking on a dirt path through a forested area with tall grass and flowers.",
    img:  "bannerlord.jpg",
    name: "Mount & Blade II: Bannerlord",
    url:  "https://store.steampowered.com/app/261550/Mount__Blade_II_Bannerlord/",
  },
  {
    alt:  "3D render of an anime-style character with pale skin and light hair, wearing a short purple dress with a textured pattern, standing against a plain gray background.",
    img:  "codevein.jpg",
    name: "Code Vein",
    url:  "https://store.steampowered.com/app/678960/CODE_VEIN/",
  },
  {
    alt:  "Digital artwork of a fantasy character with white hair in a long white dress holding a staff, standing against a backdrop of cloudy skies and distant ruins.",
    img:  "fallen-enchantress.jpg",
    name: "Fallen Enchantress: Legendary Heroes",
    url:  "https://store.steampowered.com/app/228260/Fallen_Enchantress_Legendary_Heroes/",
  },
  {
    alt:  "Pixelated video game character in a green dress standing in a dark hallway. She has brown hair and wears glasses.",
    img:  "zomboid.jpg",
    name: "Project Zomboid",
    url:  "https://store.steampowered.com/app/108600/Project_Zomboid/",
  },
  {
    alt:  "3D render of an anime-style character in a cozy room. The character wears a pink dress, glasses, and has short brown hair. The room features a round window, bookshelves, plants, and a purple cushion with a cat-shaped teapot. The scene has a warm, soft lighting.",
    img:  "spirit-city.png",
    name: "Spirit City: Lofi Sessions",
    url:  "https://store.steampowered.com/app/2113850/Spirit_City_Lofi_Sessions/",
  },
  {
    alt:  "a female character in a fantasy or adventure game setting. She is wearing a dark outfit with ornate details, including a hooded cape and armor-like elements. The character is standing in a lush, jungle-like environment, with tall trees and foliage in the background. She is holding a large weapon, likely a sword or staff, in her hand, suggesting she is a warrior or adventurer. The character has a serious expression on her face, indicating she is focused and ready for action. Overall, the image conveys a sense of mystery, power, and exploration in a fantastical and immersive world.",
    img:  "mh-world.jpg",
    name: "Monster Hunter: World",
    url:  "https://store.steampowered.com/app/582010/Monster_Hunter_World/",
  },
  {
    alt:  "A 3D character model showing a female figure wearing a bright neon green futuristic bodysuit with black armored accents and panels. The suit features geometric patterns and protective plating across the torso, limbs, and joints. The character has brown hair styled with side-swept bangs and stands in a neutral pose against a dark background. Text at the top of the image reads \"Origin: Human\" and \"Naomi\".",
    img:  "empyrion.jpg",
    name: "Empyrion: Galactic Survival",
    url:  "https://store.steampowered.com/app/383120/Empyrion__Galactic_Survival/",
  },
  {
    alt:  "A 3D rendered anime-style female character model shown in a confident pose against a dark gray background. She has a short black bob haircut and is wearing a burgundy bikini-style outfit with gold accents, including a central pendant. Her accessories include gold bracelets and a red decorative garter or belt around one thigh. She wears elaborate burgundy strappy sandals that lace up her calves. The character is standing with hands on hips in a pose that casts a distinct shadow. The rendering features smooth shading and a slight bluish rim lighting effect that highlights the character's silhouette.",
    img:  "angel-legion.png",
    name: "Angel Legion",
    url:  "https://store.steampowered.com/app/1333350/Angel_Legion/",
  },
  {
    alt:  "A detailed anime-style illustration of an angelic warrior character against a sunset cityscape background. The character has long blonde hair and wears elaborate white and gold armor with flowing white robes accented by blue and orange fabrics. She has multiple large white wings spread dramatically behind her and wears a golden crown-like headpiece. Golden chains float decoratively around her dress and armor. She's depicted in a dynamic pose with futuristic city towers and a reddish-orange sky visible in the background. The artwork combines elements of fantasy and sci-fi, with ornate details in the character's costume and architectural elements of the setting.",
    img:  "idle-angels.jpg",
    name: "Idle Angels",
    url:  "https://play.google.com/store/apps/details?id=com.mujoysg.hxbb&hl=en-US&pli=1",
  },
  {
    alt:  "A 3D rendered video game character wearing an ornate turquoise and white dress with bell sleeves and a matching cape. The outfit features intricate trim details, a bow at the waist, and layered fabric elements. The character wears round glasses and has brown hair styled in a neat bob cut. The character is shown barefoot against a dark blue background.",
    img:  "dw-8.jpg",
    name: "Dynasty Warriors 8 Empires",
    url:  "https://store.steampowered.com/app/322520/DYNASTY_WARRIORS_8_Empires/",
  },
  {
    alt:  "A video game character stands on a dock wearing a traditional Japanese kimono in royal blue with delicate flower patterns and a red hem. The kimono is accessorized with a decorative obi belt and a sword at the waist. The character has round glasses and shoulder-length blonde hair. In the background, wooden ships are moored at the harbor against a mountainous coastline.",
    img:  "samurai-4.jpg",
    name: "Way of the Samurai 4",
    url:  "https://store.steampowered.com/app/312780/Way_of_the_Samurai_4/",
  },
  {
    alt:  "A 3D fantasy character dressed in a light blue and white flowing robe with exposed midriff stands wielding a magical staff with purple crystals. In the background looms a dark, gothic castle silhouetted against a misty green sky with a large moon. The scene is atmospheric with purple and blue lighting effects, and mysterious armored figures can be seen in the shadows on either side.",
    img:  "aow-4.jpg",
    name: "Age of Wonders 4",
    url:  "https://store.steampowered.com/app/1669000/Age_of_Wonders_4/",
  },
  {
    alt:  "A 3D rendered character standing in a nighttime wilderness setting, illuminated by a large full moon and orange ambient lighting. The figure wears tattered, primitive clothing consisting of a rough-textured tunic and shorts with wrapped cloth around the lower legs. The clothing appears weathered and torn. The character is positioned on rocky terrain with foliage visible in the background. The lighting creates a dramatic contrast between cool moonlight and warm ground reflections.",
    img:  "enshrouded.jpg",
    name: "Enshrouded",
    url:  "https://store.steampowered.com/app/1203620/Enshrouded/",
  },
];
