/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

const Characters: Record<string, { age: number; alt: string; class: string; name: string; bio: Array<string>; combat: Array<string> }> = {
  "aria-iuvo": {
    age: 103,
    alt: "A digital art illustration depicts a young anime-style girl with long dark red hair, pale skin, and a blank white mask-like face standing against a dark night sky, holding a glowing knife and gazing pensively at a full moon.",
    bio: [
      "Aria Iuvo is an elven thief with a mischievous streak a mile wide.",
      "Despite being older than her more straight-laced sister Melody, Aria's elven blood keeps her looking spry and youthful.",
      "With a magpie-like eye for shiny valuables, Aria can't resist pilfering any glittering bauble or jangling coin purse that catches her fancy.",
      "Her elvish heritage grants her superhuman agility, stealth, and perception - talents she puts to great use in her life of thievery and adventure.",
    ],
    class:  "Thief",
    combat: [
      "In combat, Aria relies on stealth, speed and misdirection over brute force.",
      "She darts in and out of shadows, using her superhuman agility to avoid attacks and strike from unexpected angles.",
      "Her keen elven senses allow her to spot weaknesses in enemies' defences that others would miss.",
      "Aria wields a pair of wickedly sharp daggers with deadly precision, and employs an array of smoke bombs, caltrops and other gadgets to befuddle her foes.",
      "She fights with an impish grin, finding joy in the thrill of battle and loot, making her an unpredictable and frustrating adversary.",
    ],
    name: "Aria Iuvo",
  },
  "becca-lyria": {
    age: 21,
    alt: "Anime girl with white hair in pigtails and glasses, wearing a purple outfit, sitting on a white bed with a glowing purple magic circle design on the floor in front of her",
    bio: [
      "Becca Lyria is a powerful necromancer with the ability to raise and command the dead.",
      "Orphaned at a young age, Becca has little memory of her parents. She was later taken in by Naomi, who raised her as her own child.",
      "Despite her dark powers, Becca formed an unlikely bond with the bubbly Rosalia during one of her adventures. Though their personalities clash, the two have remained close ever since.",
    ],
    class:  "Necromancer",
    combat: [
      "In battle, Becca wields her mastery over death to devastating effect. She can raise fallen enemies and allies alike, turning them into undead minions under her control.",
      "Her necromantic spells allow her to sap the life force from foes, weakening them while simultaneously strengthening her own undead thralls.",
      "Becca can also summon skeletal warriors and ghostly apparitions to fight alongside her, overwhelming enemies with a relentless assault of the undead.",
      "While not physically imposing herself, Becca's ability to constantly raise new minions makes her a formidable and resilient opponent on the battlefield.",
    ],
    name: "Becca Lyria",
  },
  "cordelia-taryne": {
    age: 85,
    alt: "Anime girl with blonde hair in two buns wearing a yellow and gold dress sits amidst a white magic circle and red roses against a dark red background",
    bio: [
      "Cordelia Taryne was born as the daughter of Aria, and spent her early life believing she was human.",
      "As a young adult, Cordelia fell under the influence of a sinister vampire cult. During her initiation ritual, she was bitten by a vampire and transformed into an enthralled servant.",
      "After years in servitude, Cordelia finally broke free from her vampire master's control. In doing so, she unlocked her full vampiric powers and abilities.",
      "Strangely, overthrowing her master also revealed Cordelia's latent elvish heritage, which had been hidden until this point. She discovered she was actually half-elf.",
      "Now an independent vampyr, Cordelia wields powerful blood magic that she uses to dominate and defeat those who stand in her way.",
    ],
    class:  "Vampyr",
    combat: [
      "As a vampyr, Cordelia has superhuman strength, speed, and resilience. Her undead body can shrug off injuries that would cripple a mortal.",
      "She wields blood magic to directly sap the life force from enemies, weakening them while replenishing her own strength. Foes grow faint as she drains them.",
      "Cordelia can mesmerize and mentally dominate weak-willed opponents, temporarily making them into her puppets to fight on her behalf.",
      "If wounded, Cordelia can regenerate and knit her undead flesh back together by drinking the blood of the living.",
      "Her vampiric bite can infect others, turning them into short-lived thralls under her control. She often bites foes to make them fight their own allies.",
    ],
    name: "Cordelia Taryne",
  },
  "gwen-carrigan": {
    age: 28,
    alt: "Anime-style female character with purple hair in a side ponytail swinging her sword, wearing black armour, standing in a grassy field with cherry blossom petals floating in the air and a waterfall in the background.",
    bio: [
      "Gwen is Naomi's first adopted child, taken in before Becca joined the family.",
      "Feeling overshadowed and jealous when Becca arrived, Gwen took off on her own in a huff.",
      "She spent several years wandering, honing her skills with the blade and getting into many fights.",
      "In one of these fights, Gwen lost an eye, a permanent reminder of her reckless youth.",
      "As she matured, Gwen began to regret leaving her adopted family behind.",
      "She has recently started making efforts to reconnect with Naomi and mend their strained relationship.",
    ],
    class:  "Warrior",
    combat: [
      "Gwen is a formidable warrior, wielding a razor-sharp katana with deadly precision.",
      "Despite being clad in heavy armor, she moves with surprising swiftness and agility on the battlefield.",
      "Her missing eye does little to hinder her combat prowess, as her other senses have sharpened to compensate.",
      "Gwen's fighting style is aggressive and relentless, constantly pressing the attack to overwhelm her foes.",
      "Years of hard-fought battles have honed her instincts, allowing her to anticipate and counter enemy moves.",
      "While she fights with fierce determination, there is an underlying anger that drives her - anger at herself and her past mistakes.",
    ],
    name: "Gwen Carrigan",
  },
  "maylin-taryne": {
    age: 32,
    alt: "A blonde female anime character with short hair aims a bow and arrow while jumping through the air, trees and a fence visible in the background under a bright blue sky with wispy clouds.",
    bio: [
      "Maylin was once a thrall, bound to serve the same vampire master as Cordelia.",
      "When Cordelia overthrew their master and took his place, Maylin's vampiric powers faded away, leaving her human once more.",
      "Cordelia, feeling responsible for Maylin's fate and driven by a sense of guilt, took the former thrall under her wing.",
      "Despite no longer possessing supernatural abilities, Maylin discovered a deep connection to nature.",
      "She honed her skills as a ranger, finding solace and purpose in the wilderness.",
      "Maylin became like a daughter to Cordelia, the only human the vampire has ever grown close to.",
      "Though she lacks elvish blood, Maylin's affinity for nature rivals that of the most skilled elven rangers.",
    ],
    class:  "Ranger",
    combat: [
      "Maylin is an exceptional ranger, with unparalleled prowess in archery.",
      "Her mastery of the longbow allows her to strike targets with incredible precision from great distances.",
      "Years of training and a deep understanding of the natural world have sharpened Maylin's instincts and reflexes.",
      "In combat, she moves with the grace and agility of a predator, effortlessly navigating the battlefield.",
      "Maylin's keen senses enable her to detect hidden threats and track enemies through even the most challenging terrain.",
      "Her arrows, imbued with her connection to nature, seem to find their mark as if guided by an unseen force.",
      "Though she no longer possesses vampiric abilities, Maylin's human resilience and determination make her a formidable ally and a feared adversary.",
    ],
    name: "Maylin Taryne",
  },
  "melody-iuvo": {
    age: 26,
    alt: "3D anime-style girl with green hair in a ponytaiol aims a sniper rifle while kneeling in a grassy field with pine trees under a blue sky",
    bio: [
      "Melody Iuvo is an assassin known for her mastery of stealth and deception.",
      "She began her career as an assistant to Naomi, but the two quickly fell in love and later married.",
      "Melody is often seen as cold and calculating, but she has a softer side that she reveals to those she cares about.",
      "Unlike her sister Aria, Melody did not inherit the elvish genes of their mother, and is fully human.",
      "Her skills as an assassin have made her both feared and respected in the underworld.",
    ],
    class:  "Assassin",
    combat: [
      "As an assassin, Melody specializes in long-range combat using a sniper rifle.",
      "Her mastery of stealth allows her to infiltrate enemy territory undetected and take out targets from afar.",
      "Melody's calculating nature makes her an excellent strategist, able to plan complex assassinations with multiple contingencies.",
      "In close-quarters combat, she relies on her agility and deception to outmaneuver opponents.",
      "Melody's cold demeanor in combat belies her deadly efficiency as an assassin.",
    ],
    name: "Melody Iuvo",
  },
  "naomi-carrigan": {
    age: 30,
    alt: "Illustration of an anime girl with glasses and short brown hair floating in a surreal space environment, surrounded by glowing teal snowflakes, silver sparkles, and layered geometric designs resembling railroad tracks or wheels against a dark starry sky background.",
    bio: [
      "Naomi Carrigan is a powerful technomancer, able to manipulate technology using magic.",
      "She quickly rose to a leadership role in her family thanks to her potent magical skills and natural charisma.",
      "Naomi met her wife Melody when the latter worked as her assistant. The two fell in love and were soon wed.",
      "Upon hearing of Gwen's tough upbringing in an orphanage, Naomi didn't hesitate to adopt her. A few years later, she adopted Becca from the same orphanage.",
      "As the matriarch, Naomi guides and protects her family, including her wife and two adopted daughters, as well as their extended family members.",
    ],
    class:  "Technomancer",
    combat: [
      "As a technomancer, Naomi can magically hack and control technological devices, using them to attack or defend.",
      "She might launch lightning from her fingertips, or take over security systems and drones to turn them against her foes.",
      "Naomi could erect force fields of hard light constructs resembling circuitry and digital glitches to protect herself and allies.",
      "Her spells may manifest as beams, bolts or pulses of crackling energy, often in neon hues, that can stun or damage enemies.",
      "In a world increasingly reliant on technology, Naomi's powers make her a formidable force on the battlefield as she bends machines to her will.",
    ],
    name: "Naomi Carrigan",
  },
  "rosalia-nightsong": {
    age: 18,
    alt: "Anime-style girl with long dark hair and green eyes wearing a white dress, standing in a palace throne room with pink tile floors and ornate stained glass windows behind the throne",
    bio: [
      "Rosalia was born into a noble family, enjoying a life of privilege and comfort.",
      "From a young age, she devoted herself to her Goddess, finding purpose and meaning in faith.",
      "When the call came to take up arms and fight for righteousness, Rosalia answered without hesitation.",
      "As a paladin, she now travels the world, righting wrongs and upholding justice in the name of her deity.",
      "Despite their marriage, Rosalia and Becca often find themselves at odds due to their differing moral compasses.",
      "Rosalia holds out hope that one day, Becca will turn away from the path of darkness and join her in the light.",
    ],
    class:  "Paladin",
    combat: [
      "Rosalia is a skilled warrior, wielding a mighty greatsword with both strength and precision.",
      "As a paladin, she channels the power of her Goddess to enhance her combat abilities and protect her allies.",
      "Her faith allows her to cast divine spells, such as healing and smiting her enemies with holy light.",
      "Rosalia's unwavering conviction and righteous fury make her a formidable opponent on the battlefield.",
      "She is not afraid to charge into the fray, using her greatsword to cleave through evil and defend the innocent.",
      "With her divine powers and martial prowess, Rosalia is a beacon of hope and a force to be reckoned with.",
    ],
    name: "Rosalia Nightsong",
  },
};

export { Characters };
